/*
 * このソースコードは blanco Frameworkにより自動生成されました。
 */
package blanco.xliff.valueobject;

import java.util.List;

/**
 * OASIS XLIFF をあらわすバリューオブジェクト。
 */
public class BlancoXliff {
    /**
     * フィールド [version]
     *
     * 項目の型 [java.lang.String]<br>
     * 規定値   ["1.2"]<br>
     * バージョン。
     */
    private String fVersion = "1.2";

    /**
     * フィールド [source-language]
     *
     * 項目の型 [java.lang.String]<br>
     * 規定値   ["en-US"]<br>
     * ソース言語。
     */
    private String fSourceLanguage = "en-US";

    /**
     * フィールド [target-language]
     *
     * 項目の型 [java.lang.String]<br>
     * 規定値   ["ja-JP"]<br>
     * ターゲット言語。
     */
    private String fTargetLanguage = "ja-JP";

    /**
     * フィールド [transUnitList]
     *
     * 項目の型 [java.util.List]<br>
     * 規定値   [new java.util.ArrayList()]<br>
     * 翻訳ユニットのリスト。
     */
    private List fTransUnitList = new java.util.ArrayList();

    /**
     * フィールド [toolList]
     *
     * 項目の型 [java.util.List]<br>
     * 規定値   [new java.util.ArrayList()]<br>
     * ツールのリスト。
     */
    private List fToolList = new java.util.ArrayList();

    /**
     * フィールド [version]のセッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * バージョン。
     *
     * @param argVersion フィールド[version]に格納したい値
     */
    public void setVersion(final String argVersion) {
        fVersion = argVersion;
    }

    /**
     * フィールド[version]のゲッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * 規定値   ["1.2"]<br>
     * バージョン。
     *
     * @return フィールド[version]に格納されている値
     */
    public String getVersion() {
        return fVersion;
    }

    /**
     * フィールド [source-language]のセッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * ソース言語。
     *
     * @param argSourceLanguage フィールド[source-language]に格納したい値
     */
    public void setSourceLanguage(final String argSourceLanguage) {
        fSourceLanguage = argSourceLanguage;
    }

    /**
     * フィールド[source-language]のゲッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * 規定値   ["en-US"]<br>
     * ソース言語。
     *
     * @return フィールド[source-language]に格納されている値
     */
    public String getSourceLanguage() {
        return fSourceLanguage;
    }

    /**
     * フィールド [target-language]のセッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * ターゲット言語。
     *
     * @param argTargetLanguage フィールド[target-language]に格納したい値
     */
    public void setTargetLanguage(final String argTargetLanguage) {
        fTargetLanguage = argTargetLanguage;
    }

    /**
     * フィールド[target-language]のゲッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * 規定値   ["ja-JP"]<br>
     * ターゲット言語。
     *
     * @return フィールド[target-language]に格納されている値
     */
    public String getTargetLanguage() {
        return fTargetLanguage;
    }

    /**
     * フィールド [transUnitList]のセッターメソッド
     *
     * 項目の型 [java.util.List]<br>
     * 翻訳ユニットのリスト。
     *
     * @param argTransUnitList フィールド[transUnitList]に格納したい値
     */
    public void setTransUnitList(final List argTransUnitList) {
        fTransUnitList = argTransUnitList;
    }

    /**
     * フィールド[transUnitList]のゲッターメソッド
     *
     * 項目の型 [java.util.List]<br>
     * 規定値   [new java.util.ArrayList()]<br>
     * 翻訳ユニットのリスト。
     *
     * @return フィールド[transUnitList]に格納されている値
     */
    public List getTransUnitList() {
        return fTransUnitList;
    }

    /**
     * フィールド [toolList]のセッターメソッド
     *
     * 項目の型 [java.util.List]<br>
     * ツールのリスト。
     *
     * @param argToolList フィールド[toolList]に格納したい値
     */
    public void setToolList(final List argToolList) {
        fToolList = argToolList;
    }

    /**
     * フィールド[toolList]のゲッターメソッド
     *
     * 項目の型 [java.util.List]<br>
     * 規定値   [new java.util.ArrayList()]<br>
     * ツールのリスト。
     *
     * @return フィールド[toolList]に格納されている値
     */
    public List getToolList() {
        return fToolList;
    }

    /**
     * このバリューオブジェクトの文字列表現を取得します。
     *
     * オブジェクトのシャロー範囲でしかtoStringされない点に注意して利用してください。
     *
     * @return バリューオブジェクトの文字列表現。
     */
    public String toString() {
        final StringBuffer buf = new StringBuffer();
        buf.append("blanco.xliff.valueobject.BlancoXliff[");
        buf.append("version=" + fVersion);
        buf.append(",source-language=" + fSourceLanguage);
        buf.append(",target-language=" + fTargetLanguage);
        buf.append(",transUnitList=" + fTransUnitList);
        buf.append(",toolList=" + fToolList);
        buf.append("]");
        return buf.toString();
    }
}
